/* here you can put your own css to customize and override the theme */

#tblTableAlerts {
    border: none;
}

#tblTableAlerts thead {
    border: none;
}

#tblTableAlerts tbody:before {
    content: "-";
    display: block;
    line-height: 1em;
    color: transparent;
}

#tblTableAlerts tbody tr {
    border-bottom: 7px solid #FFF;
}

#tblTableAlerts td {
    border: none;
    padding: 0px 5px 0px 5px;
    vertical-align: middle;
    background-color: #FAFAFA;
}

#tblTableAlerts td:first-child {
    padding: 0px 0px 0px 0px;
}


#tblTableAlerts_wrapper .table-scrollable {
    border: none;
}

.tblTableAlertIcon {
    width: 50px;
    height: 27px;
    display: block;
    padding-top:7px;
}

.table tfoot th {
    border-left: 0px !important;
    border-right: 0px !important;
    border-bottom: 0px !important;
}

.printLinesDataCommentsCalculator, .printLinesDataProductCalculator {
    width: 617px;
    overflow: hidden;
    font-size: 8.5px;
    font-family: 'Roboto', sans-serif;
}

.printLinesDataCommentsCalculator {
    color: #777;
    font-style: italic;
}

.printLinesDataCommentsCalculator div, .printLinesDataProductCalculator div {
    padding-left: 0px;
    padding-right: 0px;
}

.printLinesDataCommentsCalculator blockquote, .printLinesDataProductCalculator blockquote {
    padding-top: 6px;
    padding-bottom: 0px;
    padding-left: 0px;
    padding-right: 0px;
    border-left: 0px solid;
    font-size: 9px;
    margin: 0px;
}

.printLinesDataCommentsCalculator ul, .printLinesDataProductCalculator ul {
    margin: 6px 0px;
    padding: 0px 9px;
}

.printLinesDataCommentsCalculator ol, .printLinesDataProductCalculator ol {
    margin: 6px 0px;
    padding: 0px 10px;
}

.printLinesDataCalculator {
    font-size: 7.8pt;
    line-height: 10px;
    visibility:hidden;
    position:fixed;
    bottom:-10000px;
    max-width:100%;
}

.printLinesDataCalculator > div {
    padding-top: 3px;
    padding-bottom: 3px;
}

.inputFecha {
    width: calc(100% - 41px);
    float: left;
}

.divDayShortSearch {
  display:inline-block; 
  margin-left:0px; 
  margin-bottom:15px; 
  margin-right:30px;
}

.divOverTextArea {
    width: 100%;
    height: 126px;
    position: absolute;
    top: 0px;
}

.sublabel {
    margin-left: 60px;
    text-align: left !important;
    color: #918888 !important;
}
  
.wysihtml5-toolbar:nth-child(2) {
    display: none;
}

#tblProjectLine  > tbody > tr > td {
    padding: 2px;
    font-size: 11px;
    line-height: 25px;
}

#tblProjectLine thead tr th {
    font-size: 11px;
}

#tblProjectLine .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 0px;
    height: 25px;
    font-size: 11px;
}

#tblProjectLine input {
    margin-top: 0px !important;
    padding: 7px 5px !important;
    height: auto;
}

#tblProjectLine textarea {
    border: 1px solid #e5e5e5; 
    resize: none;
    height: 73px;
    margin-top: 0px !important;
}

#tblProjectLine .select2-container .select2-selection--single {
    height: 32px;
}

#tblProjectLine {
    background: #F2F2F2;
}

#tblProjectLine .tdWhite {
    background: #FFFF;
}

#tblProjectLine .tdDarkGrey {
    background: #CCC;
}


#tblProjectLine .select2-selection__rendered {
    padding-top: 15px;
}

.trGroup1 {
    background-color: #FFF2CC !important;
}

.trGroup2 {
    background-color: #E2EFDA !important;
}

.trGroup2Dark {
    background-color: #BBDAA9 !important;
}


.noComment {
    background-color: #CCC;
    color: #fff;
}

.noComment:hover {
    background-color: #BBB;
}

.comment {
    background-color: #dc9435;
    color: #fff;
}

.comment:hover, .noComment:hover {
    color: #fff !important;
}

.lblHeaderWork, .lblHeaderWorkGreen {
    padding: 5px 10px;
}

.lblHeaderWorkGreen {
    background-color: #E2EFDA;
    margin-bottom: 15px;
}

.lblWork {
    padding: 0px 10px 0px 30px;
}

.txtWork, .txtWorkHeader {
    height: 32px !important;
}

.txtWork {
    background-color: #FFF !important;
}

.txtWork {
    border:0px !important;
    padding-bottom: 0px;
    padding-top:0px;
    height: 28px !important;
}

.divInline {
    position: relative;
    margin: 0px 0px 0px 0px !important;
}

.divInline .date {
    width:100% !important;
}

.divInline .date button {
    padding: 2.5px 5px !important;
}

table.dataTable tbody th.focus, table.dataTable tbody td.focus {
    box-shadow: none !important;
}

.divSessionOK {
    background-color: #EFFFBF !important;
}

.divSessionMiddle {
    background-color: #FFEFBF !important;
}

.divSessionKO {
    background-color: #FFCFBF !important;
}

.me-radio-button{
    display:flex; 
    gap: 1rem;
}

.me-radio-button h4{
    width:24rem; 
}

.me-radio-button div label{
    padding-top: 0.5rem;
}

.me-radio-button div div span input{
    margin-left: -0.5rem;
}

.title-valoration {
    font-weight: 300 !important;
    color: black !important;
    border-bottom: 1px solid #ddd !important;
    padding: 0 1rem 0 0;
}


.me-radio-button .radio{
    padding-top: 0px;
    margin-top: 8px;
    margin-bottom: 5px;
}

.me-radio-button  input[type="radio"]{
    margin-left: -9px;
}

.me-radio-button div div span input{
    margin-left: -0.5rem;
}

.me-radio-hidden{
    display: none !important;
}

.testListButtons{
    display: flex; 
    gap: 2.5px; 
    justify-content: center;
}

.editable-cell-tests:hover{
    cursor: pointer;
}

.linkWorkPlan{
    margin-top: 5px;
    font-size: 14px !important;
}


/* DOCUMENTS QUESTIONS */
/* .form .questions-container {
    background-color: white;
} */

.form .question-container {
    padding: 20px;
    border-bottom: 1px solid #e5e5e5;
}
.form .question-container:not(.question-container + .question-container):not(.description-container + .question-container):not(.image-container + .question-container) { /* Add top-line for separation if sibling is not question-container */
    border-top:  1px solid #e5e5e5;
}

.btn-question-grey {
    float: right;
    color: #cccccc;
    opacity: 1;
    margin-top: 6px;
    margin-left: 5px;
}
.btn-question-grey:hover,
.btn-question-grey:focus {
  color: #656565;
  text-decoration: none;
  cursor: pointer;
  filter: alpha(opacity=50);
  opacity: .5;
}

/* show inputs in red when disabled */
.form .children-container input:disabled {
    background-color: white;
}

/* DOCUMENTS DESCRIPTIONS */
.form .questions-container {
    background-color: white;
}

.form .description-container {
    padding: 20px;
    border-bottom: 1px solid #e5e5e5;
}

.form .description-container:not(.description-container + .description-container):not(.question-container + .description-container):not(.image-container + .description-container) { /* Add top-line for separation if sibling is not question-container */
    border-top: 1px solid #e5e5e5;
}

/* DOCUMENTS IMAGES */
.form .image-container {
    padding: 20px;
    border-bottom: 1px solid #e5e5e5;
}

.form .image-container:not(.image-container + .image-container):not(.question-container + .image-container):not(.description-container + .image-container) { /* Add top-line for separation if sibling is not question-container */
    border-top: 1px solid #e5e5e5;
}

.image-crop-container {
    max-width: 600px;
    max-height: 400px;
    display: flex;
    overflow: hidden;
}

.image-crop-container img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

/* DOCUMENT DRAG AND DROP */
.drag-drop-out-zone {
    height: 25px;
    position: relative;
    margin: 0.5% 25%;
    background-color: #f7f7f7;
}
.drag-drop-out-zone::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border: 2px dashed #8b8b8b;
    margin: 5px;
    background-color: #f7f7f7;
}

.drag-drop-out-zone.dragenter {
    background-color: #ffab6d;
    margin: 0.5% 20%; /* make bigger */
}
.drag-drop-out-zone.dragenter::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border: 2px dashed white;
    margin: 5px;
    background-color: #ffab6d;
}

/* DOCUMENT HEADERS */
.form .header-container {
    margin-bottom: 10px;
    border: 1px solid #e5e5e5;
    margin: 10px;
}
.form .header-form {
    margin: 0;
    padding: 10px; 
    background-color: #f5f5f5;
    border-bottom: 1px solid #e5e5e5;
}

.form .header-container-footer {
    margin: 0;
    padding: 20px; 
    background-color: #f5f5f5;
    /* border-top: 1px solid #e5e5e5; */
}

.btn-header-black {
    color: #000;
    opacity: 1;
    margin-top: 6px;
    margin-left: 5px;
}
.btn-header-black:hover,
.btn-header-black:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
  filter: alpha(opacity=50);
  opacity: .5;
}

/* Header 0 */
.form .header-level-0 .header-form,
.form .header-level-0 .header-container-footer {
    background-color: #EDEDED;
}
.form .header-level-0 .collapse-btn { 
    visibility: visible;
}

/* Header 1 */
.form .header-level-1 {
    margin: 20px;
}

.form .header-level-1 .header-form,
.form .header-level-1 .header-container-footer {
    background-color: #e8eeef;
}
.form .header-level-1 .header-style-combo {  /* hide option to select style */
    display: none;
} 

/* Header 2 */
.form .header-level-2 {
    margin: 20px;
}

.form .header-level-2 .header-form,
.form .header-level-2 .header-container-footer {
    background-color: #f5f5f5;
}

.form .header-level-2 .add-header-btn { /* hide option to add more headers */
    display: none;
} 
.form .header-level-2 .header-style-combo { /* hide option to select style */
    display: none;
} 

/* DOCUMENT TABLE */
.form .header-table-parent .header-form,
.form .header-table-parent .header-container-footer {
    background-color: #d8ebf2;
}
/* .form .header-table-parent .header-container-footer .btn {
    visibility: hidden;
} */
.form .header-table-parent .header-container-footer {
    display: none;
}

.form .header-table .header-form,
.form .header-table .header-container-footer {
    background-color: #f5f5f5;
}

/* .form .header-table .header-container-footer .btn {
    visibility: visible;
} */
.form .header-table .header-container-footer {
    display: block;
}
.form .header-table .add-description-btn {
    display: none;
}
.form .header-table .add-image-btn {
    display: none;
}
.form .header-table .add-header-btn {
    display: none;
}
.form .header-table .delete-btn,
.form .header-table .duplicate-btn,
.form .header-table .drag-btn {
    display: none;
}
.form .header-table .headers-rows-container {
    padding-top: 20px;
}

*.unselectable {
    -moz-user-select: -moz-none;
    -khtml-user-select: none;
    -webkit-user-select: none;
 
    /*
      Introduced in IE 10.
      See http://ie.microsoft.com/testdrive/HTML5/msUserSelect/
    */
    -ms-user-select: none;
    user-select: none;
 }